/**
 * class Bicycle models the behaviour of a bicycle when pedal RPM 
 * and gear are changed
 * 
 * @author JP
 * @version 1.0
 */
public class Bicycle
{
    int pedalRpm;                            //instance variables
    int gear;
    double wheelDiameter;
    int numberOfGears;    

    /**
     * Constructor for objects of class Bicycle
     * 
     * @oparam wheelDiameter in meters
     * @param numberOfGears
     */
    public Bicycle(double wheelDiameter, int numberOfGears)
    {
        // initialise instance variables
        this.pedalRpm = 300;
        this.gear = 1;
        this.wheelDiameter = wheelDiameter;
        this.numberOfGears = numberOfGears;
    }
    
    /**
     * Constructor for objects of class Bicycle
     */
    public Bicycle()
    {
        // initialise instance variables
        this.pedalRpm = 300;
        this.gear = 1;
        this.wheelDiameter = 0.5;
        this.numberOfGears = 3;
    }
}
